Brak wsparcia Firefoksa dla starszych dystrybucji Linuksa?

Strona głównaBrak wsparcia Firefoksa dla starszych dystrybucji Linuksa?
18.05.2007 07:36
Grzegorz Niemirowski
Grzegorz Niemirowski

Być może już niedługo Firefox przestanie wspierać starszedystrybucje Linuksa i ich użytkownicy będą musieli podjąć dodatkowedziałania, jak np. aktualizacja pakietów, aby uruchamiać najnowszewersje przeglądarki. Taką informację podał Mike Conner kierujący rozwojemprzeglądarki. Dotychczas stosowane były różne rozwiązania w kodzieFirefoksa, które umożliwiały jego działanie nawet na dosyć starychwersjach bibliotek. Jednak kompatybilność wstecz choć jest pożądanaprzez użytkowników to zawsze sprawia dużo trudności programistom.Oznacza bardziej rozbudowany i mniej przejrzysty kod a takżedłuższe testowanie. Jest też źródłem błędów. Dlatego też Conner porozmowach z twórcami dystrybucji Fedora i Ubuntu zaproponował zestaw wymagań, które będzie musiała spełnićdystrybucja aby Firefox mógł na niej działać. Jeśli propozycja wejdzie w życie, dostosowywanie Firefoksa dodziałania na starszych dystrybucjach spadnie na twórców tychdystrybucji. Natomiast programiści Firefoksa zostaną odciążeni ibędą mogli się bardziej skupić na rozwoju przeglądarki.

Udostępnij:
Wybrane dla Ciebie
Komentarze (32)